Debian: qpopper Privilege escalation

    Date13 Mar 2003
    CategoryDebian
    2368
    Posted ByLinuxSecurity Advisories
    The sample exploit requires a valid user account and password, and overflows astring in the pop_msg() function to give the user "mail" group privileges and ashell on the system. Since the Qvsnprintf function is used elsewhere inqpopper, additional exploits may be possible.
    
    ----------------------------------------------------------------------------
    Debian Security Advisory DSA-259-1                       This email address is being protected from spambots. You need JavaScript enabled to view it. 
    http://www.debian.org/security/                                Michael Stone
    March 12, 2003                             http://www.debian.org/security/faq
    ----------------------------------------------------------------------------
    
    Package: qpopper
    Vulnerability: mail user privilege escalation
    Debian-specific: no
    
    Florian Heinz <This email address is being protected from spambots. You need JavaScript enabled to view it.> posted to the Bugtraq mailing list an
    exploit for qpopper based on a bug in the included vsnprintf implementation.
    The sample exploit requires a valid user account and password, and overflows a
    string in the pop_msg() function to give the user "mail" group privileges and a
    shell on the system. Since the Qvsnprintf function is used elsewhere in
    qpopper, additional exploits may be possible.
    
    The qpopper package in Debian 2.2 (potato) does not include the vulnerable
    snprintf implementation. For Debian 3.0 (woody) an updated package is available
    in version 4.0.4-2.woody.3. Users running an unreleased version of Debian
    should upgrade to 4.0.4-9 or newer. We recommend you upgrade your qpopper
    package immediately.
    
    Upgrade Instructions
    --------------------
    
    wget url
            will fetch the file for you
    dpkg -i file.deb
            will install the referenced file.
    
    If you are using the apt-get package manager, use the line for
    sources.list as given below:
    
    apt-get update
            will update the internal database
    apt-get upgrade
            will install corrected packages
    
    You may use an automated update by adding the resources from the
    footer to the proper configuration.
    
    For not yet released architectures please refer to the appropriate
    directory  ftp://ftp.debian.org/debian/dists/sid/binary-$arch/ .
    
    
    Debian 3.0 (stable)
    -------------------
    
      Stable was released for alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390 and sparc.
    
      Source archives:
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3.diff.gz
          Size/MD5 checksum:    17597 616085ddf35ce9411138ab75418de581
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4.orig.tar.gz
          Size/MD5 checksum:  2261992 77f0968cd10b0d5236114838d9f507e5
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3.dsc
          Size/MD5 checksum:      755 20d92c6f738531ea0e88952aaf25f657
    
      alpha architecture (DEC Alpha)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_alpha.deb
          Size/MD5 checksum:   458262 47ad6c478b9c0e51bc342d0af9f05f25
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_alpha.deb
          Size/MD5 checksum:   459040 fe910c2aa4af88eb54aa083fe8a112d5
    
      arm architecture (ARM)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_arm.deb
          Size/MD5 checksum:   433164 4d5e9c9f5958499abbd782839a0071f7
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_arm.deb
          Size/MD5 checksum:   433986 6aed1bc4b62538159430a1609d6ee677
    
      hppa architecture (HP PA RISC)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_hppa.deb
          Size/MD5 checksum:   443738 f25659b295630a8596f32013d6934acc
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_hppa.deb
          Size/MD5 checksum:   442642 1a50380c3d06a7b187a3b9b6eb070c52
    
      i386 architecture (Intel ia32)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_i386.deb
          Size/MD5 checksum:   423226 6a00f3aacf1a94586fc83e92894e0f3a
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_i386.deb
          Size/MD5 checksum:   424134 b80a81713471f455c6753e8282f1171d
    
      ia64 architecture (Intel ia64)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_ia64.deb
          Size/MD5 checksum:   485762 05d0d18b15afd1a0d226c1a1475db46b
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_ia64.deb
          Size/MD5 checksum:   484806 91a028b1c2ae3f9f46724d73a22ca207
    
      m68k architecture (Motorola Mc680x0)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_m68k.deb
          Size/MD5 checksum:   416152 8a6c88357f3cba4e9e476622aabf24ed
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_m68k.deb
          Size/MD5 checksum:   417078 40d2cf356478c5118f1b3cd34089cdd9
    
      mips architecture (MIPS (Big Endian))
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_mips.deb
          Size/MD5 checksum:   439804 0745fd47dcc5866c5b2959e05e71c887
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_mips.deb
          Size/MD5 checksum:   439032 761f1d0d35077248e67aec7c781ee298
    
      mipsel architecture (MIPS (Little Endian))
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_mipsel.deb
          Size/MD5 checksum:   440472 e34fc8e7cee49c7fb6078647cb9fda8c
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_mipsel.deb
          Size/MD5 checksum:   439190 c38aa7a39e4a3576a0ccc095c116a047
    
      powerpc architecture (PowerPC)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_powerpc.deb
          Size/MD5 checksum:   433784 347933c60ea9c6141a6841dc635162e1
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_powerpc.deb
          Size/MD5 checksum:   433174 96b976ec3699f271624cd6e3636b3a60
    
      s390 architecture (IBM S/390)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_s390.deb
          Size/MD5 checksum:   429504 cc439406d24627b7ecdf8c68430f1739
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_s390.deb
          Size/MD5 checksum:   428378 378aacc3dd88bacd05ac0dfc5f986c7f
    
      sparc architecture (Sun SPARC/UltraSPARC)
    
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper-drac_4.0.4-2.woody.3_sparc.deb
          Size/MD5 checksum:   435246 5bae131b4c78401e0067070f74a82108
         http://security.debian.org/pool/updates/main/q/qpopper/qpopper_4.0.4-2.woody.3_sparc.deb
          Size/MD5 checksum:   434584 d35bab252208ca7a4de67e2513638b9d
    
    ----------------------------------------------------------------------------
    For apt-get: deb  http://security.debian.org/ stable/updates main
    For dpkg-ftp:  ftp://security.debian.org/debian-security dists/stable/updates/main
    Mailing list: This email address is being protected from spambots. You need JavaScript enabled to view it.
    Package info: `apt-cache show ' and  http://packages.debian.org/
    
    
    
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"7","type":"x","order":"1","pct":58.33,"resources":[]},{"id":"88","title":"Should be more technical","votes":"3","type":"x","order":"2","pct":25,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"2","type":"x","order":"3","pct":16.67,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    Advisories

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.